/*===========================================================================*/
/*   (Ieee/vector.scm)                                                       */
/*   Bigloo (3.3a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed Jan 6 08:19:45 CET 2010         */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -O3 -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.3a -mklib -cc gcc -fsharing -q -no-hello -copt -DBGL_NO_PIC -unsafe -safee -O4 -c Ieee/vector.scm -indent -o objs/obj_u/Ieee/vector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_symbol1593z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1595z00zz__r4_vectors_6_8z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_symbol1597z00zz__r4_vectors_6_8z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(int, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t,
		int);
	static obj_t BGl_cnstzd2initzd2zz__r4_vectors_6_8z00();
	static obj_t BGl__vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t,
		int, obj_t);
	static obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	static obj_t BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t, int);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, int, obj_t);
	static obj_t BGl__vectorzf3zf3zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t sort_vector(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t, int);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t,
		obj_t);
	static obj_t BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__sortz00zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t);
	extern obj_t fill_vector(obj_t, int, obj_t);
	static obj_t BGl__vectorz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl__vectorzd2append1509zd2zz__r4_vectors_6_8z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1556z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1560z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1563z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1567z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1569z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1571z00zz__r4_vectors_6_8z00 = BUNSPEC;
	BGL_EXPORTED_DECL int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_symbol1573z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1575z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1577z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1579z00zz__r4_vectors_6_8z00 = BUNSPEC;
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1582z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1584z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1586z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t BGl_symbol1588z00zz__r4_vectors_6_8z00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2copyz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2copyza711603z00, opt_generic_entry,
		BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2appendzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2append1604za7, va_generic_entry,
		BGl__vectorzd2append1509zd2zz__r4_vectors_6_8z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2vectorzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__makeza7d2vectorza7d1605z00, opt_generic_entry,
		BGl__makezd2vectorzd2zz__r4_vectors_6_8z00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2refzd2urzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2refza7d21606z00,
		BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzf3zd2envz21zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7f3za7f3za7za7_1607z00,
		BGl__vectorzf3zf3zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2copyzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2copyza7d1608z00, va_generic_entry,
		BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00, BUNSPEC, -2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_copyzd2vectorzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__copyza7d2vectorza7d1609z00,
		BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sortzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl__sortza700za7za7__r4_v1610za7, BGl__sortz00zz__r4_vectors_6_8z00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2fillz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2fillza711611z00,
		BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2setzd2urz12zd2envzc0zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2setza7d21612z00,
		BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2envzd2zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza700za7za7__r41613za7, va_generic_entry,
		BGl__vectorz00zz__r4_vectors_6_8z00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1557z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1557za700za7za7_1614za7, "_make-vector", 12);
	      DEFINE_STRING(BGl_string1558z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1558za700za7za7_1615za7, "int", 3);
	      DEFINE_STRING(BGl_string1559z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1559za700za7za7_1616za7,
		"/tmp/bigloo/runtime/Ieee/vector.scm", 35);
	      DEFINE_STRING(BGl_string1561z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1561za700za7za7_1617za7, "_vector-length", 14);
	      DEFINE_STRING(BGl_string1562z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1562za700za7za7_1618za7, "vector", 6);
	      DEFINE_STRING(BGl_string1564z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1564za700za7za7_1619za7, "vector-ref", 10);
	      DEFINE_STRING(BGl_string1565z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1565za700za7za7_1620za7, "index out of range [0..", 23);
	      DEFINE_STRING(BGl_string1566z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1566za700za7za7_1621za7, "]", 1);
	      DEFINE_STRING(BGl_string1568z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1568za700za7za7_1622za7, "_vector-ref", 11);
	      DEFINE_STRING(BGl_string1570z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1570za700za7za7_1623za7, "vector-set!", 11);
	      DEFINE_STRING(BGl_string1572z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1572za700za7za7_1624za7, "_vector-set!", 12);
	      DEFINE_STRING(BGl_string1574z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1574za700za7za7_1625za7, "_vector-ref-ur", 14);
	      DEFINE_STRING(BGl_string1576z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1576za700za7za7_1626za7, "_vector-set-ur!", 15);
	      DEFINE_STRING(BGl_string1578z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1578za700za7za7_1627za7, "_vector->list", 13);
	      DEFINE_STRING(BGl_string1580z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1580za700za7za7_1628za7, "_list->vector", 13);
	      DEFINE_STRING(BGl_string1581z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1581za700za7za7_1629za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string1583z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1583za700za7za7_1630za7, "_vector-fill!", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2ze3listzd2envze3zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2za7e3lis1631z00,
		BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1585z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1585za700za7za7_1632za7, "_vector-tag", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2tagzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2tagza7d21633z00,
		BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2setz12zd2envz12zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2setza7121634z00,
		BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1587z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1587za700za7za7_1635za7, "_vector-tag-set!", 16);
	      DEFINE_STRING(BGl_string1600z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1600za700za7za7_1636za7, "Object must be a list or a vector",
		33);
	      DEFINE_STRING(BGl_string1590z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1590za700za7za7_1637za7, "vector-copy", 11);
	      DEFINE_STRING(BGl_string1589z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1589za700za7za7_1638za7, "_copy-vector", 12);
	      DEFINE_STRING(BGl_string1601z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1601za700za7za7_1639za7, "__r4_vectors_6_8", 16);
	      DEFINE_STRING(BGl_string1591z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1591za700za7za7_1640za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1592z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1592za700za7za7_1641za7, "Illegal indexes", 15);
	      DEFINE_STRING(BGl_string1594z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1594za700za7za7_1642za7, "_vector-copy", 12);
	      DEFINE_STRING(BGl_string1596z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1596za700za7za7_1643za7, "_vector-copy!", 13);
	      DEFINE_STRING(BGl_string1598z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1598za700za7za7_1644za7, "_vector-append1509", 18);
	      DEFINE_STRING(BGl_string1599z00zz__r4_vectors_6_8z00,
		BgL_bgl_string1599za700za7za7_1645za7, "sort", 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2tagzd2setz12zd2envzc0zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2tagza7d21646z00,
		BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_listzd2ze3vectorzd2envze3zz__r4_vectors_6_8z00,
		BgL_bgl__listza7d2za7e3vecto1647z00,
		BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2lengthzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2length1648za7,
		BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2refzd2envz00zz__r4_vectors_6_8z00,
		BgL_bgl__vectorza7d2refza7d21649z00,
		BGl__vectorzd2refzd2zz__r4_vectors_6_8z00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long
		BgL_checksumz00_1448, char *BgL_fromz00_1449)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00))
				{
					BGl_requirezd2initializa7ationz75zz__r4_vectors_6_8z00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__r4_vectors_6_8z00();
					BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__r4_vectors_6_8z00()
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 18 */
			BGl_symbol1556z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1557z00zz__r4_vectors_6_8z00);
			BGl_symbol1560z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1561z00zz__r4_vectors_6_8z00);
			BGl_symbol1563z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1564z00zz__r4_vectors_6_8z00);
			BGl_symbol1567z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1568z00zz__r4_vectors_6_8z00);
			BGl_symbol1569z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1570z00zz__r4_vectors_6_8z00);
			BGl_symbol1571z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1572z00zz__r4_vectors_6_8z00);
			BGl_symbol1573z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1574z00zz__r4_vectors_6_8z00);
			BGl_symbol1575z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1576z00zz__r4_vectors_6_8z00);
			BGl_symbol1577z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1578z00zz__r4_vectors_6_8z00);
			BGl_symbol1579z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1580z00zz__r4_vectors_6_8z00);
			BGl_symbol1582z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1583z00zz__r4_vectors_6_8z00);
			BGl_symbol1584z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1585z00zz__r4_vectors_6_8z00);
			BGl_symbol1586z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1587z00zz__r4_vectors_6_8z00);
			BGl_symbol1588z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1589z00zz__r4_vectors_6_8z00);
			BGl_symbol1593z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1594z00zz__r4_vectors_6_8z00);
			BGl_symbol1595z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1596z00zz__r4_vectors_6_8z00);
			return (BGl_symbol1597z00zz__r4_vectors_6_8z00 =
				bstring_to_symbol(BGl_string1598z00zz__r4_vectors_6_8z00), BUNSPEC);
		}
	}



/* vector? */
	BGL_EXPORTED_DEF bool_t BGl_vectorzf3zf3zz__r4_vectors_6_8z00(obj_t
		BgL_objz00_1)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 106 */
			return VECTORP(BgL_objz00_1);
		}
	}



/* _vector? */
	obj_t BGl__vectorzf3zf3zz__r4_vectors_6_8z00(obj_t BgL_envz00_1302,
		obj_t BgL_objz00_1303)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 106 */
			return BBOOL(VECTORP(BgL_objz00_1303));
		}
	}



/* _make-vector */
	obj_t BGl__makezd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_5,
		obj_t BgL_optz00_4)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 112 */
			{	/* Ieee/vector.scm 112 */
				obj_t BgL_g1095z00_1397;

				BgL_g1095z00_1397 = VECTOR_REF(BgL_optz00_4, (int) (((long) 0)));
				{	/* Ieee/vector.scm 112 */
					int BgL_aux1097z00_1398;

					BgL_aux1097z00_1398 = VECTOR_LENGTH(BgL_optz00_4);
					switch ((long) (BgL_aux1097z00_1398))
						{
						case ((long) 1):

							{	/* Ieee/vector.scm 112 */

								{	/* Ieee/vector.scm 112 */
									obj_t BgL_arg1111z00_1399;

									BgL_arg1111z00_1399 =
										VECTOR_REF(BgL_optz00_4, (int) (((long) 0)));
									{	/* Ieee/vector.scm 112 */
										int BgL_intz00_1400;

										{	/* Ieee/vector.scm 112 */
											obj_t BgL_auxz00_1480;

											if (INTEGERP(BgL_arg1111z00_1399))
												{	/* Ieee/vector.scm 112 */
													BgL_auxz00_1480 = BgL_arg1111z00_1399;
												}
											else
												{	/* Ieee/vector.scm 112 */
													BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BGl_symbol1556z00zz__r4_vectors_6_8z00,
														BGl_string1558z00zz__r4_vectors_6_8z00,
														BgL_arg1111z00_1399,
														BGl_string1559z00zz__r4_vectors_6_8z00,
														BINT(((long) 4998)));
													exit(-1);
												}
											BgL_intz00_1400 = CINT(BgL_auxz00_1480);
										}
										return make_vector(BgL_intz00_1400, BUNSPEC);
									}
								}
							}
							break;
						case ((long) 2):

							{	/* Ieee/vector.scm 112 */
								obj_t BgL_fillz00_1401;

								BgL_fillz00_1401 = VECTOR_REF(BgL_optz00_4, (int) (((long) 1)));
								{	/* Ieee/vector.scm 112 */

									{	/* Ieee/vector.scm 112 */
										obj_t BgL_arg1112z00_1402;

										BgL_arg1112z00_1402 =
											VECTOR_REF(BgL_optz00_4, (int) (((long) 0)));
										{	/* Ieee/vector.scm 112 */
											int BgL_intz00_1403;

											{	/* Ieee/vector.scm 112 */
												obj_t BgL_auxz00_1492;

												if (INTEGERP(BgL_arg1112z00_1402))
													{	/* Ieee/vector.scm 112 */
														BgL_auxz00_1492 = BgL_arg1112z00_1402;
													}
												else
													{	/* Ieee/vector.scm 112 */
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
															(BGl_symbol1556z00zz__r4_vectors_6_8z00,
															BGl_string1558z00zz__r4_vectors_6_8z00,
															BgL_arg1112z00_1402,
															BGl_string1559z00zz__r4_vectors_6_8z00,
															BINT(((long) 4998)));
														exit(-1);
													}
												BgL_intz00_1403 = CINT(BgL_auxz00_1492);
											}
											return make_vector(BgL_intz00_1403, BgL_fillz00_1401);
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* make-vector */
	BGL_EXPORTED_DEF obj_t BGl_makezd2vectorzd2zz__r4_vectors_6_8z00(int
		BgL_intz00_2, obj_t BgL_fillz00_3)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 112 */
			return make_vector(BgL_intz00_2, BgL_fillz00_3);
		}
	}



/* vector */
	BGL_EXPORTED_DEF obj_t BGl_vectorz00zz__r4_vectors_6_8z00(obj_t BgL_argsz00_6)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 118 */
			return BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_6);
		}
	}



/* _vector */
	obj_t BGl__vectorz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_1304,
		obj_t BgL_argsz00_1305)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 118 */
			return BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_argsz00_1305);
		}
	}



/* vector-length */
	BGL_EXPORTED_DEF int BGl_vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_7)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 124 */
			return VECTOR_LENGTH(BgL_vectorz00_7);
		}
	}



/* _vector-length */
	obj_t BGl__vectorzd2lengthzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1306,
		obj_t BgL_vectorz00_1307)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 124 */
			{	/* Ieee/vector.scm 125 */
				int BgL_auxz00_1506;

				{	/* Ieee/vector.scm 125 */
					obj_t BgL_vectorz00_1405;

					if (VECTORP(BgL_vectorz00_1307))
						{	/* Ieee/vector.scm 125 */
							BgL_vectorz00_1405 = BgL_vectorz00_1307;
						}
					else
						{	/* Ieee/vector.scm 125 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1560z00zz__r4_vectors_6_8z00,
								BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1307,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 5633)));
							exit(-1);
						}
					BgL_auxz00_1506 = VECTOR_LENGTH(BgL_vectorz00_1405);
				}
				return BINT(BgL_auxz00_1506);
			}
		}
	}



/* vector-ref */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_8, int BgL_kz00_9)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 130 */
			{	/* Ieee/vector.scm 131 */
				bool_t BgL_testz00_1514;

				{	/* Ieee/vector.scm 131 */
					int BgL_arg1222z00_1406;

					BgL_arg1222z00_1406 = VECTOR_LENGTH(BgL_vectorz00_8);
					BgL_testz00_1514 = BOUND_CHECK(BgL_kz00_9, BgL_arg1222z00_1406);
				}
				if (BgL_testz00_1514)
					{	/* Ieee/vector.scm 131 */
						return VECTOR_REF(BgL_vectorz00_8, BgL_kz00_9);
					}
				else
					{	/* Ieee/vector.scm 131 */
						obj_t BgL_arg1114z00_1407;

						obj_t BgL_arg1115z00_1408;

						BgL_arg1114z00_1407 = BGl_symbol1563z00zz__r4_vectors_6_8z00;
						{	/* Ieee/vector.scm 131 */
							obj_t BgL_arg1181z00_1409;

							{	/* Ieee/vector.scm 131 */
								long BgL_arg1204z00_1410;

								{	/* Ieee/vector.scm 131 */
									int BgL_arg1217z00_1411;

									BgL_arg1217z00_1411 = VECTOR_LENGTH(BgL_vectorz00_8);
									BgL_arg1204z00_1410 =
										((long) (BgL_arg1217z00_1411) - ((long) 1));
								}
								{	/* Ieee/vector.scm 131 */

									BgL_arg1181z00_1409 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1204z00_1410, ((long) 10));
							}}
							BgL_arg1115z00_1408 =
								string_append_3(BGl_string1565z00zz__r4_vectors_6_8z00,
								BgL_arg1181z00_1409, BGl_string1566z00zz__r4_vectors_6_8z00);
						}
						return
							BGl_errorz00zz__errorz00(BgL_arg1114z00_1407, BgL_arg1115z00_1408,
							BINT(BgL_kz00_9));
					}
			}
		}
	}



/* _vector-ref */
	obj_t BGl__vectorzd2refzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1308,
		obj_t BgL_vectorz00_1309, obj_t BgL_kz00_1310)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 130 */
			{	/* Ieee/vector.scm 131 */
				obj_t BgL_vectorz00_1412;

				int BgL_kz00_1413;

				if (VECTORP(BgL_vectorz00_1309))
					{	/* Ieee/vector.scm 131 */
						BgL_vectorz00_1412 = BgL_vectorz00_1309;
					}
				else
					{	/* Ieee/vector.scm 131 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1567z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1309,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 5949)));
						exit(-1);
					}
				{	/* Ieee/vector.scm 131 */
					obj_t BgL_auxz00_1530;

					if (INTEGERP(BgL_kz00_1310))
						{	/* Ieee/vector.scm 131 */
							BgL_auxz00_1530 = BgL_kz00_1310;
						}
					else
						{	/* Ieee/vector.scm 131 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1567z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_kz00_1310,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 5949)));
							exit(-1);
						}
					BgL_kz00_1413 = CINT(BgL_auxz00_1530);
				}
				{	/* Ieee/vector.scm 131 */
					bool_t BgL_testz00_1537;

					{	/* Ieee/vector.scm 131 */
						int BgL_arg1222z00_1414;

						BgL_arg1222z00_1414 = VECTOR_LENGTH(BgL_vectorz00_1412);
						BgL_testz00_1537 = BOUND_CHECK(BgL_kz00_1413, BgL_arg1222z00_1414);
					}
					if (BgL_testz00_1537)
						{	/* Ieee/vector.scm 131 */
							return VECTOR_REF(BgL_vectorz00_1412, BgL_kz00_1413);
						}
					else
						{	/* Ieee/vector.scm 131 */
							obj_t BgL_arg1114z00_1415;

							obj_t BgL_arg1115z00_1416;

							BgL_arg1114z00_1415 = BGl_symbol1563z00zz__r4_vectors_6_8z00;
							{	/* Ieee/vector.scm 131 */
								obj_t BgL_arg1181z00_1417;

								{	/* Ieee/vector.scm 131 */
									long BgL_arg1204z00_1418;

									{	/* Ieee/vector.scm 131 */
										int BgL_arg1217z00_1419;

										BgL_arg1217z00_1419 = VECTOR_LENGTH(BgL_vectorz00_1412);
										BgL_arg1204z00_1418 =
											((long) (BgL_arg1217z00_1419) - ((long) 1));
									}
									{	/* Ieee/vector.scm 131 */

										BgL_arg1181z00_1417 =
											BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
											(BgL_arg1204z00_1418, ((long) 10));
								}}
								BgL_arg1115z00_1416 =
									string_append_3(BGl_string1565z00zz__r4_vectors_6_8z00,
									BgL_arg1181z00_1417, BGl_string1566z00zz__r4_vectors_6_8z00);
							}
							return
								BGl_errorz00zz__errorz00(BgL_arg1114z00_1415,
								BgL_arg1115z00_1416, BINT(BgL_kz00_1413));
						}
				}
			}
		}
	}



/* vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_10, int BgL_kz00_11, obj_t BgL_objz00_12)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 142 */
			{	/* Ieee/vector.scm 143 */
				bool_t BgL_testz00_1548;

				{	/* Ieee/vector.scm 143 */
					int BgL_arg1243z00_1420;

					BgL_arg1243z00_1420 = VECTOR_LENGTH(BgL_vectorz00_10);
					BgL_testz00_1548 = BOUND_CHECK(BgL_kz00_11, BgL_arg1243z00_1420);
				}
				if (BgL_testz00_1548)
					{	/* Ieee/vector.scm 143 */
						return VECTOR_SET(BgL_vectorz00_10, BgL_kz00_11, BgL_objz00_12);
					}
				else
					{	/* Ieee/vector.scm 143 */
						obj_t BgL_arg1235z00_1421;

						obj_t BgL_arg1236z00_1422;

						BgL_arg1235z00_1421 = BGl_symbol1569z00zz__r4_vectors_6_8z00;
						{	/* Ieee/vector.scm 143 */
							obj_t BgL_arg1238z00_1423;

							{	/* Ieee/vector.scm 143 */
								long BgL_arg1240z00_1424;

								{	/* Ieee/vector.scm 143 */
									int BgL_arg1241z00_1425;

									BgL_arg1241z00_1425 = VECTOR_LENGTH(BgL_vectorz00_10);
									BgL_arg1240z00_1424 =
										((long) (BgL_arg1241z00_1425) - ((long) 1));
								}
								{	/* Ieee/vector.scm 143 */

									BgL_arg1238z00_1423 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1240z00_1424, ((long) 10));
							}}
							BgL_arg1236z00_1422 =
								string_append_3(BGl_string1565z00zz__r4_vectors_6_8z00,
								BgL_arg1238z00_1423, BGl_string1566z00zz__r4_vectors_6_8z00);
						}
						return
							BGl_errorz00zz__errorz00(BgL_arg1235z00_1421, BgL_arg1236z00_1422,
							BINT(BgL_kz00_11));
					}
			}
		}
	}



/* _vector-set! */
	obj_t BGl__vectorzd2setz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1311,
		obj_t BgL_vectorz00_1312, obj_t BgL_kz00_1313, obj_t BgL_objz00_1314)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 142 */
			{	/* Ieee/vector.scm 143 */
				obj_t BgL_vectorz00_1426;

				int BgL_kz00_1427;

				obj_t BgL_objz00_1428;

				if (VECTORP(BgL_vectorz00_1312))
					{	/* Ieee/vector.scm 143 */
						BgL_vectorz00_1426 = BgL_vectorz00_1312;
					}
				else
					{	/* Ieee/vector.scm 143 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1571z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1312,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 6455)));
						exit(-1);
					}
				{	/* Ieee/vector.scm 143 */
					obj_t BgL_auxz00_1564;

					if (INTEGERP(BgL_kz00_1313))
						{	/* Ieee/vector.scm 143 */
							BgL_auxz00_1564 = BgL_kz00_1313;
						}
					else
						{	/* Ieee/vector.scm 143 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1571z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_kz00_1313,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 6455)));
							exit(-1);
						}
					BgL_kz00_1427 = CINT(BgL_auxz00_1564);
				}
				BgL_objz00_1428 = BgL_objz00_1314;
				{	/* Ieee/vector.scm 143 */
					bool_t BgL_testz00_1571;

					{	/* Ieee/vector.scm 143 */
						int BgL_arg1243z00_1429;

						BgL_arg1243z00_1429 = VECTOR_LENGTH(BgL_vectorz00_1426);
						BgL_testz00_1571 = BOUND_CHECK(BgL_kz00_1427, BgL_arg1243z00_1429);
					}
					if (BgL_testz00_1571)
						{	/* Ieee/vector.scm 143 */
							return
								VECTOR_SET(BgL_vectorz00_1426, BgL_kz00_1427, BgL_objz00_1428);
						}
					else
						{	/* Ieee/vector.scm 143 */
							obj_t BgL_arg1235z00_1430;

							obj_t BgL_arg1236z00_1431;

							BgL_arg1235z00_1430 = BGl_symbol1569z00zz__r4_vectors_6_8z00;
							{	/* Ieee/vector.scm 143 */
								obj_t BgL_arg1238z00_1432;

								{	/* Ieee/vector.scm 143 */
									long BgL_arg1240z00_1433;

									{	/* Ieee/vector.scm 143 */
										int BgL_arg1241z00_1434;

										BgL_arg1241z00_1434 = VECTOR_LENGTH(BgL_vectorz00_1426);
										BgL_arg1240z00_1433 =
											((long) (BgL_arg1241z00_1434) - ((long) 1));
									}
									{	/* Ieee/vector.scm 143 */

										BgL_arg1238z00_1432 =
											BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
											(BgL_arg1240z00_1433, ((long) 10));
								}}
								BgL_arg1236z00_1431 =
									string_append_3(BGl_string1565z00zz__r4_vectors_6_8z00,
									BgL_arg1238z00_1432, BGl_string1566z00zz__r4_vectors_6_8z00);
							}
							return
								BGl_errorz00zz__errorz00(BgL_arg1235z00_1430,
								BgL_arg1236z00_1431, BINT(BgL_kz00_1427));
						}
				}
			}
		}
	}



/* vector-ref-ur */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_13, int BgL_kz00_14)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 154 */
			return VECTOR_REF(BgL_vectorz00_13, BgL_kz00_14);
		}
	}



/* _vector-ref-ur */
	obj_t BGl__vectorzd2refzd2urz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_1315,
		obj_t BgL_vectorz00_1316, obj_t BgL_kz00_1317)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 154 */
			{	/* Ieee/vector.scm 155 */
				obj_t BgL_vectorz00_1435;

				int BgL_kz00_1436;

				if (VECTORP(BgL_vectorz00_1316))
					{	/* Ieee/vector.scm 155 */
						BgL_vectorz00_1435 = BgL_vectorz00_1316;
					}
				else
					{	/* Ieee/vector.scm 155 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1573z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1316,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 6938)));
						exit(-1);
					}
				{	/* Ieee/vector.scm 155 */
					obj_t BgL_auxz00_1588;

					if (INTEGERP(BgL_kz00_1317))
						{	/* Ieee/vector.scm 155 */
							BgL_auxz00_1588 = BgL_kz00_1317;
						}
					else
						{	/* Ieee/vector.scm 155 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1573z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_kz00_1317,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 6938)));
							exit(-1);
						}
					BgL_kz00_1436 = CINT(BgL_auxz00_1588);
				}
				return VECTOR_REF(BgL_vectorz00_1435, BgL_kz00_1436);
			}
		}
	}



/* vector-set-ur! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_15, int BgL_kz00_16, obj_t BgL_objz00_17)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 160 */
			return VECTOR_SET(BgL_vectorz00_15, BgL_kz00_16, BgL_objz00_17);
		}
	}



/* _vector-set-ur! */
	obj_t BGl__vectorzd2setzd2urz12z12zz__r4_vectors_6_8z00(obj_t BgL_envz00_1318,
		obj_t BgL_vectorz00_1319, obj_t BgL_kz00_1320, obj_t BgL_objz00_1321)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 160 */
			{	/* Ieee/vector.scm 161 */
				obj_t BgL_vectorz00_1437;

				int BgL_kz00_1438;

				obj_t BgL_objz00_1439;

				if (VECTORP(BgL_vectorz00_1319))
					{	/* Ieee/vector.scm 161 */
						BgL_vectorz00_1437 = BgL_vectorz00_1319;
					}
				else
					{	/* Ieee/vector.scm 161 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1575z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1319,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 7234)));
						exit(-1);
					}
				{	/* Ieee/vector.scm 161 */
					obj_t BgL_auxz00_1602;

					if (INTEGERP(BgL_kz00_1320))
						{	/* Ieee/vector.scm 161 */
							BgL_auxz00_1602 = BgL_kz00_1320;
						}
					else
						{	/* Ieee/vector.scm 161 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1575z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_kz00_1320,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 7234)));
							exit(-1);
						}
					BgL_kz00_1438 = CINT(BgL_auxz00_1602);
				}
				BgL_objz00_1439 = BgL_objz00_1321;
				return VECTOR_SET(BgL_vectorz00_1437, BgL_kz00_1438, BgL_objz00_1439);
			}
		}
	}



/* vector->list */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_18)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 166 */
			{	/* Ieee/vector.scm 167 */
				int BgL_vlenz00_412;

				BgL_vlenz00_412 = VECTOR_LENGTH(BgL_vectorz00_18);
				if (((long) (BgL_vlenz00_412) == ((long) 0)))
					{	/* Ieee/vector.scm 168 */
						return BNIL;
					}
				else
					{	/* Ieee/vector.scm 170 */
						long BgL_g1080z00_414;

						BgL_g1080z00_414 = ((long) (BgL_vlenz00_412) - ((long) 1));
						{
							long BgL_iz00_792;

							obj_t BgL_accz00_793;

							BgL_iz00_792 = BgL_g1080z00_414;
							BgL_accz00_793 = BNIL;
						BgL_loopz00_791:
							if ((BgL_iz00_792 == ((long) 0)))
								{	/* Ieee/vector.scm 170 */
									return
										MAKE_PAIR(VECTOR_REF(BgL_vectorz00_18,
											(int) (BgL_iz00_792)), BgL_accz00_793);
								}
							else
								{	/* Ieee/vector.scm 170 */
									long BgL_arg1248z00_801;

									obj_t BgL_arg1249z00_802;

									BgL_arg1248z00_801 = (BgL_iz00_792 - ((long) 1));
									BgL_arg1249z00_802 =
										MAKE_PAIR(VECTOR_REF(BgL_vectorz00_18,
											(int) (BgL_iz00_792)), BgL_accz00_793);
									{
										obj_t BgL_accz00_1626;

										long BgL_iz00_1625;

										BgL_iz00_1625 = BgL_arg1248z00_801;
										BgL_accz00_1626 = BgL_arg1249z00_802;
										BgL_accz00_793 = BgL_accz00_1626;
										BgL_iz00_792 = BgL_iz00_1625;
										goto BgL_loopz00_791;
									}
								}
						}
					}
			}
		}
	}



/* _vector->list */
	obj_t BGl__vectorzd2ze3listz31zz__r4_vectors_6_8z00(obj_t BgL_envz00_1322,
		obj_t BgL_vectorz00_1323)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 166 */
			{	/* Ieee/vector.scm 167 */
				obj_t BgL_auxz00_1627;

				if (VECTORP(BgL_vectorz00_1323))
					{	/* Ieee/vector.scm 167 */
						BgL_auxz00_1627 = BgL_vectorz00_1323;
					}
				else
					{	/* Ieee/vector.scm 167 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1577z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1323,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 7520)));
						exit(-1);
					}
				return BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00(BgL_auxz00_1627);
			}
		}
	}



/* list->vector */
	BGL_EXPORTED_DEF obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t
		BgL_listz00_19)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 179 */
			{	/* Ieee/vector.scm 180 */
				long BgL_lenz00_426;

				BgL_lenz00_426 = bgl_list_length(BgL_listz00_19);
				{	/* Ieee/vector.scm 180 */
					obj_t BgL_vecz00_427;

					BgL_vecz00_427 = create_vector((int) (BgL_lenz00_426));
					{	/* Ieee/vector.scm 181 */

						{
							long BgL_iz00_841;

							obj_t BgL_lz00_842;

							BgL_iz00_841 = ((long) 0);
							BgL_lz00_842 = BgL_listz00_19;
						BgL_loopz00_840:
							if ((BgL_iz00_841 == BgL_lenz00_426))
								{	/* Ieee/vector.scm 182 */
									return BgL_vecz00_427;
								}
							else
								{	/* Ieee/vector.scm 182 */
									VECTOR_SET(BgL_vecz00_427,
										(int) (BgL_iz00_841), CAR(BgL_lz00_842));
									{
										obj_t BgL_lz00_1644;

										long BgL_iz00_1642;

										BgL_iz00_1642 = (BgL_iz00_841 + ((long) 1));
										BgL_lz00_1644 = CDR(BgL_lz00_842);
										BgL_lz00_842 = BgL_lz00_1644;
										BgL_iz00_841 = BgL_iz00_1642;
										goto BgL_loopz00_840;
									}
								}
						}
					}
				}
			}
		}
	}



/* _list->vector */
	obj_t BGl__listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t BgL_envz00_1324,
		obj_t BgL_listz00_1325)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 179 */
			{	/* Ieee/vector.scm 180 */
				obj_t BgL_auxz00_1646;

				{	/* Ieee/vector.scm 180 */
					bool_t BgL_testz00_1647;

					if (PAIRP(BgL_listz00_1325))
						{	/* Ieee/vector.scm 180 */
							BgL_testz00_1647 = ((bool_t) 1);
						}
					else
						{	/* Ieee/vector.scm 180 */
							BgL_testz00_1647 = NULLP(BgL_listz00_1325);
						}
					if (BgL_testz00_1647)
						{	/* Ieee/vector.scm 180 */
							BgL_auxz00_1646 = BgL_listz00_1325;
						}
					else
						{	/* Ieee/vector.scm 180 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1579z00zz__r4_vectors_6_8z00,
								BGl_string1581z00zz__r4_vectors_6_8z00, BgL_listz00_1325,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 8010)));
							exit(-1);
				}}
				return BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_auxz00_1646);
			}
		}
	}



/* vector-fill! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_20, obj_t BgL_fillz00_21)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 193 */
			{	/* Ieee/vector.scm 194 */
				int BgL_arg1256z00_888;

				BgL_arg1256z00_888 = VECTOR_LENGTH(BgL_vectorz00_20);
				return
					fill_vector(BgL_vectorz00_20, BgL_arg1256z00_888, BgL_fillz00_21);
			}
		}
	}



/* _vector-fill! */
	obj_t BGl__vectorzd2fillz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_1326,
		obj_t BgL_vectorz00_1327, obj_t BgL_fillz00_1328)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 193 */
			{	/* Ieee/vector.scm 194 */
				obj_t BgL_auxz00_1657;

				if (VECTORP(BgL_vectorz00_1327))
					{	/* Ieee/vector.scm 194 */
						BgL_auxz00_1657 = BgL_vectorz00_1327;
					}
				else
					{	/* Ieee/vector.scm 194 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1582z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1327,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 8495)));
						exit(-1);
					}
				return
					BGl_vectorzd2fillz12zc0zz__r4_vectors_6_8z00(BgL_auxz00_1657,
					BgL_fillz00_1328);
			}
		}
	}



/* vector-tag */
	BGL_EXPORTED_DEF int BGl_vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_22)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 199 */
			return VECTOR_TAG(BgL_vectorz00_22);
		}
	}



/* _vector-tag */
	obj_t BGl__vectorzd2tagzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1329,
		obj_t BgL_vectorz00_1330)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 199 */
			{	/* Ieee/vector.scm 200 */
				int BgL_auxz00_1665;

				{	/* Ieee/vector.scm 200 */
					obj_t BgL_vectorz00_1445;

					if (VECTORP(BgL_vectorz00_1330))
						{	/* Ieee/vector.scm 200 */
							BgL_vectorz00_1445 = BgL_vectorz00_1330;
						}
					else
						{	/* Ieee/vector.scm 200 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1584z00zz__r4_vectors_6_8z00,
								BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1330,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 8786)));
							exit(-1);
						}
					BgL_auxz00_1665 = VECTOR_TAG(BgL_vectorz00_1445);
				}
				return BINT(BgL_auxz00_1665);
			}
		}
	}



/* vector-tag-set! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t
		BgL_vectorz00_23, int BgL_tagz00_24)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 205 */
			return VECTOR_TAG_SET(BgL_vectorz00_23, BgL_tagz00_24);
		}
	}



/* _vector-tag-set! */
	obj_t BGl__vectorzd2tagzd2setz12z12zz__r4_vectors_6_8z00(obj_t
		BgL_envz00_1331, obj_t BgL_vectorz00_1332, obj_t BgL_tagz00_1333)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 205 */
			{	/* Ieee/vector.scm 206 */
				obj_t BgL_vectorz00_1446;

				int BgL_tagz00_1447;

				if (VECTORP(BgL_vectorz00_1332))
					{	/* Ieee/vector.scm 206 */
						BgL_vectorz00_1446 = BgL_vectorz00_1332;
					}
				else
					{	/* Ieee/vector.scm 206 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1586z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vectorz00_1332,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 9079)));
						exit(-1);
					}
				{	/* Ieee/vector.scm 206 */
					obj_t BgL_auxz00_1679;

					if (INTEGERP(BgL_tagz00_1333))
						{	/* Ieee/vector.scm 206 */
							BgL_auxz00_1679 = BgL_tagz00_1333;
						}
					else
						{	/* Ieee/vector.scm 206 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1586z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_tagz00_1333,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 9079)));
							exit(-1);
						}
					BgL_tagz00_1447 = CINT(BgL_auxz00_1679);
				}
				return VECTOR_TAG_SET(BgL_vectorz00_1446, BgL_tagz00_1447);
			}
		}
	}



/* copy-vector */
	BGL_EXPORTED_DEF obj_t BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t
		BgL_oldzd2veczd2_25, int BgL_newzd2lenzd2_26)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 211 */
			{	/* Ieee/vector.scm 212 */
				int BgL_oldzd2lenzd2_438;

				BgL_oldzd2lenzd2_438 = VECTOR_LENGTH(BgL_oldzd2veczd2_25);
				{	/* Ieee/vector.scm 212 */
					obj_t BgL_newzd2veczd2_439;

					BgL_newzd2veczd2_439 = make_vector(BgL_newzd2lenzd2_26, BUNSPEC);
					{	/* Ieee/vector.scm 213 */
						int BgL_minz00_440;

						if (((long) (BgL_newzd2lenzd2_26) < (long) (BgL_oldzd2lenzd2_438)))
							{	/* Ieee/vector.scm 214 */
								BgL_minz00_440 = BgL_newzd2lenzd2_26;
							}
						else
							{	/* Ieee/vector.scm 214 */
								BgL_minz00_440 = BgL_oldzd2lenzd2_438;
							}
						{	/* Ieee/vector.scm 214 */

							{
								long BgL_iz00_442;

								BgL_iz00_442 = ((long) 0);
							BgL_zc3anonymousza31257ze3z83_443:
								if ((BgL_iz00_442 == (long) (BgL_minz00_440)))
									{	/* Ieee/vector.scm 218 */
										return BgL_newzd2veczd2_439;
									}
								else
									{	/* Ieee/vector.scm 218 */
										VECTOR_SET(BgL_newzd2veczd2_439,
											(int) (BgL_iz00_442),
											VECTOR_REF(BgL_oldzd2veczd2_25, (int) (BgL_iz00_442)));
										{
											long BgL_iz00_1700;

											BgL_iz00_1700 = (BgL_iz00_442 + ((long) 1));
											BgL_iz00_442 = BgL_iz00_1700;
											goto BgL_zc3anonymousza31257ze3z83_443;
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* _copy-vector */
	obj_t BGl__copyzd2vectorzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1334,
		obj_t BgL_oldzd2veczd2_1335, obj_t BgL_newzd2lenzd2_1336)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 211 */
			{	/* Ieee/vector.scm 212 */
				int BgL_auxz00_1708;

				obj_t BgL_auxz00_1702;

				{	/* Ieee/vector.scm 212 */
					obj_t BgL_auxz00_1709;

					if (INTEGERP(BgL_newzd2lenzd2_1336))
						{	/* Ieee/vector.scm 212 */
							BgL_auxz00_1709 = BgL_newzd2lenzd2_1336;
						}
					else
						{	/* Ieee/vector.scm 212 */
							BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
								(BGl_symbol1588z00zz__r4_vectors_6_8z00,
								BGl_string1558z00zz__r4_vectors_6_8z00, BgL_newzd2lenzd2_1336,
								BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 9396)));
							exit(-1);
						}
					BgL_auxz00_1708 = CINT(BgL_auxz00_1709);
				}
				if (VECTORP(BgL_oldzd2veczd2_1335))
					{	/* Ieee/vector.scm 212 */
						BgL_auxz00_1702 = BgL_oldzd2veczd2_1335;
					}
				else
					{	/* Ieee/vector.scm 212 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1588z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1335,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 9396)));
						exit(-1);
					}
				return
					BGl_copyzd2vectorzd2zz__r4_vectors_6_8z00(BgL_auxz00_1702,
					BgL_auxz00_1708);
			}
		}
	}



/* vector-copy */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t
		BgL_oldzd2veczd2_27, obj_t BgL_argsz00_28)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 227 */
			{	/* Ieee/vector.scm 228 */
				int BgL_oldzd2lenzd2_450;

				BgL_oldzd2lenzd2_450 = VECTOR_LENGTH(BgL_oldzd2veczd2_27);
				{	/* Ieee/vector.scm 228 */
					obj_t BgL_startz00_451;

					if (PAIRP(BgL_argsz00_28))
						{	/* Ieee/vector.scm 229 */
							if (INTEGERP(CAR(BgL_argsz00_28)))
								{	/* Ieee/vector.scm 230 */
									BgL_startz00_451 = CAR(BgL_argsz00_28);
								}
							else
								{	/* Ieee/vector.scm 230 */
									BgL_startz00_451 =
										BGl_errorz00zz__errorz00
										(BGl_string1590z00zz__r4_vectors_6_8z00,
										BGl_string1591z00zz__r4_vectors_6_8z00,
										CAR(BgL_argsz00_28));
								}
						}
					else
						{	/* Ieee/vector.scm 229 */
							BgL_startz00_451 = BINT(((long) 0));
						}
					{	/* Ieee/vector.scm 229 */
						obj_t BgL_stopz00_452;

						{	/* Ieee/vector.scm 234 */
							bool_t BgL_testz00_1727;

							if (PAIRP(BgL_argsz00_28))
								{	/* Ieee/vector.scm 234 */
									obj_t BgL_auxz00_1730;

									BgL_auxz00_1730 = CDR(BgL_argsz00_28);
									BgL_testz00_1727 = PAIRP(BgL_auxz00_1730);
								}
							else
								{	/* Ieee/vector.scm 234 */
									BgL_testz00_1727 = ((bool_t) 0);
								}
							if (BgL_testz00_1727)
								{	/* Ieee/vector.scm 235 */
									bool_t BgL_testz00_1733;

									{	/* Ieee/vector.scm 235 */
										bool_t BgL_testz00_1734;

										{	/* Ieee/vector.scm 235 */
											obj_t BgL_auxz00_1735;

											{	/* Ieee/vector.scm 235 */
												obj_t BgL_pairz00_912;

												BgL_pairz00_912 = BgL_argsz00_28;
												BgL_auxz00_1735 = CDR(CDR(BgL_pairz00_912));
											}
											BgL_testz00_1734 = PAIRP(BgL_auxz00_1735);
										}
										if (BgL_testz00_1734)
											{	/* Ieee/vector.scm 235 */
												BgL_testz00_1733 = ((bool_t) 1);
											}
										else
											{	/* Ieee/vector.scm 236 */
												bool_t BgL_testz00_1739;

												{	/* Ieee/vector.scm 236 */
													obj_t BgL_auxz00_1740;

													{	/* Ieee/vector.scm 236 */
														obj_t BgL_pairz00_917;

														BgL_pairz00_917 = BgL_argsz00_28;
														BgL_auxz00_1740 = CAR(CDR(BgL_pairz00_917));
													}
													BgL_testz00_1739 = INTEGERP(BgL_auxz00_1740);
												}
												if (BgL_testz00_1739)
													{	/* Ieee/vector.scm 236 */
														BgL_testz00_1733 = ((bool_t) 0);
													}
												else
													{	/* Ieee/vector.scm 236 */
														BgL_testz00_1733 = ((bool_t) 1);
													}
											}
									}
									if (BgL_testz00_1733)
										{	/* Ieee/vector.scm 235 */
											BgL_stopz00_452 =
												BGl_errorz00zz__errorz00
												(BGl_string1590z00zz__r4_vectors_6_8z00,
												BGl_string1591z00zz__r4_vectors_6_8z00,
												CDR(BgL_argsz00_28));
										}
									else
										{	/* Ieee/vector.scm 238 */
											obj_t BgL_pairz00_923;

											BgL_pairz00_923 = BgL_argsz00_28;
											BgL_stopz00_452 = CAR(CDR(BgL_pairz00_923));
										}
								}
							else
								{	/* Ieee/vector.scm 234 */
									BgL_stopz00_452 = BINT(BgL_oldzd2lenzd2_450);
								}
						}
						{	/* Ieee/vector.scm 234 */
							long BgL_newzd2lenzd2_453;

							BgL_newzd2lenzd2_453 =
								((long) CINT(BgL_stopz00_452) - (long) CINT(BgL_startz00_451));
							{	/* Ieee/vector.scm 240 */
								obj_t BgL_newzd2veczd2_454;

								BgL_newzd2veczd2_454 =
									make_vector((int) (BgL_newzd2lenzd2_453), BUNSPEC);
								{	/* Ieee/vector.scm 242 */

									{	/* Ieee/vector.scm 245 */
										bool_t BgL_testz00_1754;

										if ((BgL_newzd2lenzd2_453 < ((long) 0)))
											{	/* Ieee/vector.scm 245 */
												BgL_testz00_1754 = ((bool_t) 1);
											}
										else
											{	/* Ieee/vector.scm 245 */
												if (
													((long) CINT(BgL_startz00_451) >
														(long) (BgL_oldzd2lenzd2_450)))
													{	/* Ieee/vector.scm 246 */
														BgL_testz00_1754 = ((bool_t) 1);
													}
												else
													{	/* Ieee/vector.scm 246 */
														BgL_testz00_1754 =
															(
															(long) CINT(BgL_stopz00_452) >
															(long) (BgL_oldzd2lenzd2_450));
											}}
										if (BgL_testz00_1754)
											{	/* Ieee/vector.scm 245 */
												return
													BGl_errorz00zz__errorz00
													(BGl_string1590z00zz__r4_vectors_6_8z00,
													BGl_string1592z00zz__r4_vectors_6_8z00,
													BgL_argsz00_28);
											}
										else
											{
												obj_t BgL_rz00_939;

												long BgL_wz00_940;

												BgL_rz00_939 = BgL_startz00_451;
												BgL_wz00_940 = ((long) 0);
											BgL_loopz00_938:
												if (
													((long) CINT(BgL_rz00_939) ==
														(long) CINT(BgL_stopz00_452)))
													{	/* Ieee/vector.scm 249 */
														return BgL_newzd2veczd2_454;
													}
												else
													{	/* Ieee/vector.scm 249 */
														VECTOR_SET(BgL_newzd2veczd2_454,
															(int) (BgL_wz00_940),
															VECTOR_REF(BgL_oldzd2veczd2_27,
																CINT(BgL_rz00_939)));
														{	/* Ieee/vector.scm 249 */
															long BgL_arg1267z00_947;

															long BgL_arg1268z00_948;

															BgL_arg1267z00_947 =
																((long) CINT(BgL_rz00_939) + ((long) 1));
															BgL_arg1268z00_948 = (BgL_wz00_940 + ((long) 1));
															{
																long BgL_wz00_1778;

																obj_t BgL_rz00_1776;

																BgL_rz00_1776 = BINT(BgL_arg1267z00_947);
																BgL_wz00_1778 = BgL_arg1268z00_948;
																BgL_wz00_940 = BgL_wz00_1778;
																BgL_rz00_939 = BgL_rz00_1776;
																goto BgL_loopz00_938;
															}
														}
													}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* _vector-copy */
	obj_t BGl__vectorzd2copyzd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1337,
		obj_t BgL_oldzd2veczd2_1338, obj_t BgL_argsz00_1339)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 227 */
			{	/* Ieee/vector.scm 228 */
				obj_t BgL_auxz00_1779;

				if (VECTORP(BgL_oldzd2veczd2_1338))
					{	/* Ieee/vector.scm 228 */
						BgL_auxz00_1779 = BgL_oldzd2veczd2_1338;
					}
				else
					{	/* Ieee/vector.scm 228 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1593z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_oldzd2veczd2_1338,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 9968)));
						exit(-1);
					}
				return
					BGl_vectorzd2copyzd2zz__r4_vectors_6_8z00(BgL_auxz00_1779,
					BgL_argsz00_1339);
			}
		}
	}



/* _vector-copy! */
	obj_t BGl__vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t BgL_envz00_35,
		obj_t BgL_optz00_34)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 260 */
			{	/* Ieee/vector.scm 260 */
				obj_t BgL_targetz00_487;

				obj_t BgL_tstartz00_488;

				obj_t BgL_sourcez00_489;

				BgL_targetz00_487 = VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
				BgL_tstartz00_488 = VECTOR_REF(BgL_optz00_34, (int) (((long) 1)));
				BgL_sourcez00_489 = VECTOR_REF(BgL_optz00_34, (int) (((long) 2)));
				{	/* Ieee/vector.scm 260 */
					int BgL_aux1099z00_491;

					BgL_aux1099z00_491 = VECTOR_LENGTH(BgL_optz00_34);
					switch ((long) (BgL_aux1099z00_491))
						{
						case ((long) 3):

							{	/* Ieee/vector.scm 261 */
								int BgL_sendz00_494;

								{	/* Ieee/vector.scm 261 */
									obj_t BgL_vectorz00_992;

									if (VECTORP(BgL_sourcez00_489))
										{	/* Ieee/vector.scm 261 */
											BgL_vectorz00_992 = BgL_sourcez00_489;
										}
									else
										{	/* Ieee/vector.scm 261 */
											BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
												(BGl_symbol1595z00zz__r4_vectors_6_8z00,
												BGl_string1562z00zz__r4_vectors_6_8z00,
												BgL_sourcez00_489,
												BGl_string1559z00zz__r4_vectors_6_8z00,
												BINT(((long) 11110)));
											exit(-1);
										}
									BgL_sendz00_494 = VECTOR_LENGTH(BgL_vectorz00_992);
								}
								{	/* Ieee/vector.scm 260 */

									{	/* Ieee/vector.scm 260 */
										obj_t BgL_arg1292z00_495;

										obj_t BgL_arg1293z00_496;

										obj_t BgL_arg1294z00_497;

										BgL_arg1292z00_495 =
											VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
										BgL_arg1293z00_496 =
											VECTOR_REF(BgL_optz00_34, (int) (((long) 1)));
										BgL_arg1294z00_497 =
											VECTOR_REF(BgL_optz00_34, (int) (((long) 2)));
										{	/* Ieee/vector.scm 260 */
											obj_t BgL_sstartz00_996;

											obj_t BgL_sendz00_997;

											BgL_sstartz00_996 = BINT(((long) 0));
											BgL_sendz00_997 = BINT(BgL_sendz00_494);
											{
												obj_t BgL_iz00_999;

												obj_t BgL_jz00_1000;

												{	/* Ieee/vector.scm 260 */
													bool_t BgL_auxz00_1807;

													BgL_iz00_999 = BgL_sstartz00_996;
													BgL_jz00_1000 = BgL_arg1293z00_496;
												BgL_loopz00_998:
													if (
														((long) CINT(BgL_iz00_999) <
															(long) CINT(BgL_sendz00_997)))
														{	/* Ieee/vector.scm 260 */
															VECTOR_SET(BgL_arg1292z00_495,
																CINT(BgL_jz00_1000),
																VECTOR_REF(BgL_arg1294z00_497,
																	CINT(BgL_iz00_999)));
															{	/* Ieee/vector.scm 260 */
																long BgL_arg1304z00_1007;

																long BgL_arg1305z00_1008;

																BgL_arg1304z00_1007 =
																	((long) CINT(BgL_iz00_999) + ((long) 1));
																BgL_arg1305z00_1008 =
																	((long) CINT(BgL_jz00_1000) + ((long) 1));
																{
																	obj_t BgL_jz00_1822;

																	obj_t BgL_iz00_1820;

																	BgL_iz00_1820 = BINT(BgL_arg1304z00_1007);
																	BgL_jz00_1822 = BINT(BgL_arg1305z00_1008);
																	BgL_jz00_1000 = BgL_jz00_1822;
																	BgL_iz00_999 = BgL_iz00_1820;
																	goto BgL_loopz00_998;
																}
															}
														}
													else
														{	/* Ieee/vector.scm 260 */
															BgL_auxz00_1807 = ((bool_t) 0);
														}
													return BBOOL(BgL_auxz00_1807);
												}
											}
										}
									}
								}
							}
							break;
						case ((long) 4):

							{	/* Ieee/vector.scm 260 */
								obj_t BgL_sstartz00_498;

								BgL_sstartz00_498 =
									VECTOR_REF(BgL_optz00_34, (int) (((long) 3)));
								{	/* Ieee/vector.scm 261 */
									int BgL_sendz00_499;

									{	/* Ieee/vector.scm 261 */
										obj_t BgL_vectorz00_1020;

										if (VECTORP(BgL_sourcez00_489))
											{	/* Ieee/vector.scm 261 */
												BgL_vectorz00_1020 = BgL_sourcez00_489;
											}
										else
											{	/* Ieee/vector.scm 261 */
												BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
													(BGl_symbol1595z00zz__r4_vectors_6_8z00,
													BGl_string1562z00zz__r4_vectors_6_8z00,
													BgL_sourcez00_489,
													BGl_string1559z00zz__r4_vectors_6_8z00,
													BINT(((long) 11110)));
												exit(-1);
											}
										BgL_sendz00_499 = VECTOR_LENGTH(BgL_vectorz00_1020);
									}
									{	/* Ieee/vector.scm 260 */

										{	/* Ieee/vector.scm 260 */
											obj_t BgL_arg1295z00_500;

											obj_t BgL_arg1296z00_501;

											obj_t BgL_arg1297z00_502;

											BgL_arg1295z00_500 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
											BgL_arg1296z00_501 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 1)));
											BgL_arg1297z00_502 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 2)));
											{	/* Ieee/vector.scm 260 */
												obj_t BgL_sendz00_1025;

												BgL_sendz00_1025 = BINT(BgL_sendz00_499);
												{
													obj_t BgL_iz00_1027;

													obj_t BgL_jz00_1028;

													{	/* Ieee/vector.scm 260 */
														bool_t BgL_auxz00_1840;

														BgL_iz00_1027 = BgL_sstartz00_498;
														BgL_jz00_1028 = BgL_arg1296z00_501;
													BgL_loopz00_1026:
														if (
															((long) CINT(BgL_iz00_1027) <
																(long) CINT(BgL_sendz00_1025)))
															{	/* Ieee/vector.scm 260 */
																VECTOR_SET(BgL_arg1295z00_500,
																	CINT(BgL_jz00_1028),
																	VECTOR_REF(BgL_arg1297z00_502,
																		CINT(BgL_iz00_1027)));
																{	/* Ieee/vector.scm 260 */
																	long BgL_arg1304z00_1035;

																	long BgL_arg1305z00_1036;

																	BgL_arg1304z00_1035 =
																		((long) CINT(BgL_iz00_1027) + ((long) 1));
																	BgL_arg1305z00_1036 =
																		((long) CINT(BgL_jz00_1028) + ((long) 1));
																	{
																		obj_t BgL_jz00_1855;

																		obj_t BgL_iz00_1853;

																		BgL_iz00_1853 = BINT(BgL_arg1304z00_1035);
																		BgL_jz00_1855 = BINT(BgL_arg1305z00_1036);
																		BgL_jz00_1028 = BgL_jz00_1855;
																		BgL_iz00_1027 = BgL_iz00_1853;
																		goto BgL_loopz00_1026;
																	}
																}
															}
														else
															{	/* Ieee/vector.scm 260 */
																BgL_auxz00_1840 = ((bool_t) 0);
															}
														return BBOOL(BgL_auxz00_1840);
													}
												}
											}
										}
									}
								}
							}
							break;
						case ((long) 5):

							{	/* Ieee/vector.scm 260 */
								obj_t BgL_sstartz00_503;

								BgL_sstartz00_503 =
									VECTOR_REF(BgL_optz00_34, (int) (((long) 3)));
								{	/* Ieee/vector.scm 260 */
									obj_t BgL_sendz00_504;

									BgL_sendz00_504 =
										VECTOR_REF(BgL_optz00_34, (int) (((long) 4)));
									{	/* Ieee/vector.scm 260 */

										{	/* Ieee/vector.scm 260 */
											obj_t BgL_arg1298z00_505;

											obj_t BgL_arg1299z00_506;

											obj_t BgL_arg1300z00_507;

											BgL_arg1298z00_505 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 0)));
											BgL_arg1299z00_506 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 1)));
											BgL_arg1300z00_507 =
												VECTOR_REF(BgL_optz00_34, (int) (((long) 2)));
											{
												obj_t BgL_iz00_1054;

												obj_t BgL_jz00_1055;

												{	/* Ieee/vector.scm 260 */
													bool_t BgL_auxz00_1868;

													BgL_iz00_1054 = BgL_sstartz00_503;
													BgL_jz00_1055 = BgL_arg1299z00_506;
												BgL_loopz00_1053:
													if (
														((long) CINT(BgL_iz00_1054) <
															(long) CINT(BgL_sendz00_504)))
														{	/* Ieee/vector.scm 260 */
															VECTOR_SET(BgL_arg1298z00_505,
																CINT(BgL_jz00_1055),
																VECTOR_REF(BgL_arg1300z00_507,
																	CINT(BgL_iz00_1054)));
															{	/* Ieee/vector.scm 260 */
																long BgL_arg1304z00_1062;

																long BgL_arg1305z00_1063;

																BgL_arg1304z00_1062 =
																	((long) CINT(BgL_iz00_1054) + ((long) 1));
																BgL_arg1305z00_1063 =
																	((long) CINT(BgL_jz00_1055) + ((long) 1));
																{
																	obj_t BgL_jz00_1883;

																	obj_t BgL_iz00_1881;

																	BgL_iz00_1881 = BINT(BgL_arg1304z00_1062);
																	BgL_jz00_1883 = BINT(BgL_arg1305z00_1063);
																	BgL_jz00_1055 = BgL_jz00_1883;
																	BgL_iz00_1054 = BgL_iz00_1881;
																	goto BgL_loopz00_1053;
																}
															}
														}
													else
														{	/* Ieee/vector.scm 260 */
															BgL_auxz00_1868 = ((bool_t) 0);
														}
													return BBOOL(BgL_auxz00_1868);
												}
											}
										}
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}
	}



/* vector-copy! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t
		BgL_targetz00_29, obj_t BgL_tstartz00_30, obj_t BgL_sourcez00_31,
		obj_t BgL_sstartz00_32, obj_t BgL_sendz00_33)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 260 */
			{
				obj_t BgL_iz00_1083;

				obj_t BgL_jz00_1084;

				{	/* Ieee/vector.scm 264 */
					bool_t BgL_auxz00_1888;

					BgL_iz00_1083 = BgL_sstartz00_32;
					BgL_jz00_1084 = BgL_tstartz00_30;
				BgL_loopz00_1082:
					if (((long) CINT(BgL_iz00_1083) < (long) CINT(BgL_sendz00_33)))
						{	/* Ieee/vector.scm 264 */
							VECTOR_SET(BgL_targetz00_29,
								CINT(BgL_jz00_1084),
								VECTOR_REF(BgL_sourcez00_31, CINT(BgL_iz00_1083)));
							{	/* Ieee/vector.scm 264 */
								long BgL_arg1304z00_1091;

								long BgL_arg1305z00_1092;

								BgL_arg1304z00_1091 = ((long) CINT(BgL_iz00_1083) + ((long) 1));
								BgL_arg1305z00_1092 = ((long) CINT(BgL_jz00_1084) + ((long) 1));
								{
									obj_t BgL_jz00_1903;

									obj_t BgL_iz00_1901;

									BgL_iz00_1901 = BINT(BgL_arg1304z00_1091);
									BgL_jz00_1903 = BINT(BgL_arg1305z00_1092);
									BgL_jz00_1084 = BgL_jz00_1903;
									BgL_iz00_1083 = BgL_iz00_1901;
									goto BgL_loopz00_1082;
								}
							}
						}
					else
						{	/* Ieee/vector.scm 264 */
							BgL_auxz00_1888 = ((bool_t) 0);
						}
					return BBOOL(BgL_auxz00_1888);
				}
			}
		}
	}



/* vector-append */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(obj_t
		BgL_vecz00_36, obj_t BgL_argsz00_37)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 271 */
			{	/* Ieee/vector.scm 272 */
				int BgL_g1083z00_517;

				BgL_g1083z00_517 = VECTOR_LENGTH(BgL_vecz00_36);
				{
					int BgL_lenz00_519;

					obj_t BgL_vectsz00_520;

					BgL_lenz00_519 = BgL_g1083z00_517;
					BgL_vectsz00_520 = BgL_argsz00_37;
				BgL_zc3anonymousza31306ze3z83_521:
					if (NULLP(BgL_vectsz00_520))
						{	/* Ieee/vector.scm 275 */
							obj_t BgL_resz00_523;

							BgL_resz00_523 = make_vector(BgL_lenz00_519, BUNSPEC);
							{	/* Ieee/vector.scm 88 */
								int BgL_sendz00_528;

								BgL_sendz00_528 = VECTOR_LENGTH(BgL_vecz00_36);
								{	/* Ieee/vector.scm 88 */

									{	/* Ieee/vector.scm 88 */
										obj_t BgL_tstartz00_1141;

										obj_t BgL_sstartz00_1143;

										obj_t BgL_sendz00_1144;

										BgL_tstartz00_1141 = BINT(((long) 0));
										BgL_sstartz00_1143 = BINT(((long) 0));
										BgL_sendz00_1144 = BINT(BgL_sendz00_528);
										{
											obj_t BgL_iz00_1146;

											obj_t BgL_jz00_1147;

											BgL_iz00_1146 = BgL_sstartz00_1143;
											BgL_jz00_1147 = BgL_tstartz00_1141;
										BgL_loopz00_1145:
											if (
												((long) CINT(BgL_iz00_1146) <
													(long) CINT(BgL_sendz00_1144)))
												{	/* Ieee/vector.scm 88 */
													VECTOR_SET(BgL_resz00_523,
														CINT(BgL_jz00_1147),
														VECTOR_REF(BgL_vecz00_36, CINT(BgL_iz00_1146)));
													{	/* Ieee/vector.scm 88 */
														long BgL_arg1304z00_1154;

														long BgL_arg1305z00_1155;

														BgL_arg1304z00_1154 =
															((long) CINT(BgL_iz00_1146) + ((long) 1));
														BgL_arg1305z00_1155 =
															((long) CINT(BgL_jz00_1147) + ((long) 1));
														{
															obj_t BgL_jz00_1928;

															obj_t BgL_iz00_1926;

															BgL_iz00_1926 = BINT(BgL_arg1304z00_1154);
															BgL_jz00_1928 = BINT(BgL_arg1305z00_1155);
															BgL_jz00_1147 = BgL_jz00_1928;
															BgL_iz00_1146 = BgL_iz00_1926;
															goto BgL_loopz00_1145;
														}
													}
												}
											else
												{	/* Ieee/vector.scm 88 */
													((bool_t) 0);
												}
										}
									}
								}
							}
							{	/* Ieee/vector.scm 277 */
								int BgL_g1084z00_529;

								BgL_g1084z00_529 = VECTOR_LENGTH(BgL_vecz00_36);
								{
									int BgL_iz00_531;

									obj_t BgL_vectsz00_532;

									BgL_iz00_531 = BgL_g1084z00_529;
									BgL_vectsz00_532 = BgL_argsz00_37;
								BgL_zc3anonymousza31308ze3z83_533:
									if (NULLP(BgL_vectsz00_532))
										{	/* Ieee/vector.scm 279 */
											return BgL_resz00_523;
										}
									else
										{	/* Ieee/vector.scm 281 */
											obj_t BgL_vecz00_535;

											BgL_vecz00_535 = CAR(BgL_vectsz00_532);
											{	/* Ieee/vector.scm 88 */
												int BgL_sendz00_540;

												BgL_sendz00_540 = VECTOR_LENGTH(BgL_vecz00_535);
												{	/* Ieee/vector.scm 88 */

													{	/* Ieee/vector.scm 88 */
														obj_t BgL_tstartz00_1172;

														obj_t BgL_sstartz00_1174;

														obj_t BgL_sendz00_1175;

														BgL_tstartz00_1172 = BINT(BgL_iz00_531);
														BgL_sstartz00_1174 = BINT(((long) 0));
														BgL_sendz00_1175 = BINT(BgL_sendz00_540);
														{
															obj_t BgL_iz00_1177;

															obj_t BgL_jz00_1178;

															BgL_iz00_1177 = BgL_sstartz00_1174;
															BgL_jz00_1178 = BgL_tstartz00_1172;
														BgL_loopz00_1176:
															if (
																((long) CINT(BgL_iz00_1177) <
																	(long) CINT(BgL_sendz00_1175)))
																{	/* Ieee/vector.scm 88 */
																	VECTOR_SET(BgL_resz00_523,
																		CINT(BgL_jz00_1178),
																		VECTOR_REF(BgL_vecz00_535,
																			CINT(BgL_iz00_1177)));
																	{	/* Ieee/vector.scm 88 */
																		long BgL_arg1304z00_1185;

																		long BgL_arg1305z00_1186;

																		BgL_arg1304z00_1185 =
																			((long) CINT(BgL_iz00_1177) + ((long) 1));
																		BgL_arg1305z00_1186 =
																			((long) CINT(BgL_jz00_1178) + ((long) 1));
																		{
																			obj_t BgL_jz00_1952;

																			obj_t BgL_iz00_1950;

																			BgL_iz00_1950 = BINT(BgL_arg1304z00_1185);
																			BgL_jz00_1952 = BINT(BgL_arg1305z00_1186);
																			BgL_jz00_1178 = BgL_jz00_1952;
																			BgL_iz00_1177 = BgL_iz00_1950;
																			goto BgL_loopz00_1176;
																		}
																	}
																}
															else
																{	/* Ieee/vector.scm 88 */
																	((bool_t) 0);
																}
														}
													}
												}
											}
											{	/* Ieee/vector.scm 283 */
												long BgL_arg1310z00_541;

												obj_t BgL_arg1311z00_542;

												{	/* Ieee/vector.scm 283 */
													int BgL_arg1312z00_543;

													BgL_arg1312z00_543 = VECTOR_LENGTH(BgL_vecz00_535);
													BgL_arg1310z00_541 =
														(
														(long) (BgL_iz00_531) +
														(long) (BgL_arg1312z00_543));
												}
												BgL_arg1311z00_542 = CDR(BgL_vectsz00_532);
												{
													obj_t BgL_vectsz00_1961;

													int BgL_iz00_1959;

													BgL_iz00_1959 = (int) (BgL_arg1310z00_541);
													BgL_vectsz00_1961 = BgL_arg1311z00_542;
													BgL_vectsz00_532 = BgL_vectsz00_1961;
													BgL_iz00_531 = BgL_iz00_1959;
													goto BgL_zc3anonymousza31308ze3z83_533;
												}
											}
										}
								}
							}
						}
					else
						{	/* Ieee/vector.scm 284 */
							long BgL_arg1314z00_546;

							obj_t BgL_arg1315z00_547;

							{	/* Ieee/vector.scm 284 */
								int BgL_arg1316z00_548;

								BgL_arg1316z00_548 = VECTOR_LENGTH(CAR(BgL_vectsz00_520));
								BgL_arg1314z00_546 =
									((long) (BgL_arg1316z00_548) + (long) (BgL_lenz00_519));
							}
							BgL_arg1315z00_547 = CDR(BgL_vectsz00_520);
							{
								obj_t BgL_vectsz00_1970;

								int BgL_lenz00_1968;

								BgL_lenz00_1968 = (int) (BgL_arg1314z00_546);
								BgL_vectsz00_1970 = BgL_arg1315z00_547;
								BgL_vectsz00_520 = BgL_vectsz00_1970;
								BgL_lenz00_519 = BgL_lenz00_1968;
								goto BgL_zc3anonymousza31306ze3z83_521;
							}
						}
				}
			}
		}
	}



/* _vector-append1509 */
	obj_t BGl__vectorzd2append1509zd2zz__r4_vectors_6_8z00(obj_t BgL_envz00_1340,
		obj_t BgL_vecz00_1341, obj_t BgL_argsz00_1342)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 271 */
			{	/* Ieee/vector.scm 272 */
				obj_t BgL_auxz00_1971;

				if (VECTORP(BgL_vecz00_1341))
					{	/* Ieee/vector.scm 272 */
						BgL_auxz00_1971 = BgL_vecz00_1341;
					}
				else
					{	/* Ieee/vector.scm 272 */
						BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
							(BGl_symbol1597z00zz__r4_vectors_6_8z00,
							BGl_string1562z00zz__r4_vectors_6_8z00, BgL_vecz00_1341,
							BGl_string1559z00zz__r4_vectors_6_8z00, BINT(((long) 11545)));
						exit(-1);
					}
				return
					BGl_vectorzd2appendzd2zz__r4_vectors_6_8z00(BgL_auxz00_1971,
					BgL_argsz00_1342);
			}
		}
	}



/* sort */
	BGL_EXPORTED_DEF obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t BgL_o1z00_38,
		obj_t BgL_o2z00_39)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 289 */
			if (PROCEDUREP(BgL_o1z00_38))
				{	/* Ieee/vector.scm 290 */
					return
						BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o2z00_39,
						BgL_o1z00_38);
				}
			else
				{	/* Ieee/vector.scm 290 */
					return
						BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(BgL_o1z00_38,
						BgL_o2z00_39);
				}
		}
	}



/* _sort */
	obj_t BGl__sortz00zz__r4_vectors_6_8z00(obj_t BgL_envz00_1343,
		obj_t BgL_o1z00_1344, obj_t BgL_o2z00_1345)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 289 */
			return BGl_sortz00zz__r4_vectors_6_8z00(BgL_o1z00_1344, BgL_o2z00_1345);
		}
	}



/* inner-sort */
	obj_t BGl_innerzd2sortzd2zz__r4_vectors_6_8z00(obj_t BgL_objz00_40,
		obj_t BgL_procz00_41)
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 297 */
			if (NULLP(BgL_objz00_40))
				{	/* Ieee/vector.scm 299 */
					return BgL_objz00_40;
				}
			else
				{	/* Ieee/vector.scm 301 */
					bool_t BgL_testz00_1985;

					if (PAIRP(BgL_objz00_40))
						{	/* Ieee/vector.scm 301 */
							BgL_testz00_1985 = NULLP(CDR(BgL_objz00_40));
						}
					else
						{	/* Ieee/vector.scm 301 */
							BgL_testz00_1985 = ((bool_t) 0);
						}
					if (BgL_testz00_1985)
						{	/* Ieee/vector.scm 301 */
							return BgL_objz00_40;
						}
					else
						{	/* Ieee/vector.scm 304 */
							obj_t BgL_vecz00_554;

							if (VECTORP(BgL_objz00_40))
								{	/* Ieee/vector.scm 306 */
									int BgL_lenz00_558;

									BgL_lenz00_558 = VECTOR_LENGTH(BgL_objz00_40);
									{	/* Ieee/vector.scm 306 */
										obj_t BgL_newz00_559;

										BgL_newz00_559 = make_vector(BgL_lenz00_558, BUNSPEC);
										{	/* Ieee/vector.scm 307 */

											{
												long BgL_iz00_561;

												BgL_iz00_561 = ((long) 0);
											BgL_zc3anonymousza31323ze3z83_562:
												if ((BgL_iz00_561 < (long) (BgL_lenz00_558)))
													{	/* Ieee/vector.scm 309 */
														VECTOR_SET(BgL_newz00_559,
															(int) (BgL_iz00_561),
															VECTOR_REF(BgL_objz00_40, (int) (BgL_iz00_561)));
														{
															long BgL_iz00_2001;

															BgL_iz00_2001 = (BgL_iz00_561 + ((long) 1));
															BgL_iz00_561 = BgL_iz00_2001;
															goto BgL_zc3anonymousza31323ze3z83_562;
														}
													}
												else
													{	/* Ieee/vector.scm 309 */
														((bool_t) 0);
													}
											}
											BgL_vecz00_554 = BgL_newz00_559;
										}
									}
								}
							else
								{	/* Ieee/vector.scm 305 */
									if (PAIRP(BgL_objz00_40))
										{	/* Ieee/vector.scm 314 */
											BgL_vecz00_554 =
												BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
												(BgL_objz00_40);
										}
									else
										{	/* Ieee/vector.scm 314 */
											BgL_vecz00_554 =
												BGl_errorz00zz__errorz00
												(BGl_string1599z00zz__r4_vectors_6_8z00,
												BGl_string1600z00zz__r4_vectors_6_8z00, BgL_objz00_40);
										}
								}
							{	/* Ieee/vector.scm 320 */
								obj_t BgL_resz00_555;

								BgL_resz00_555 = sort_vector(BgL_vecz00_554, BgL_procz00_41);
								if (PAIRP(BgL_objz00_40))
									{	/* Ieee/vector.scm 321 */
										return
											BGl_vectorzd2ze3listz31zz__r4_vectors_6_8z00
											(BgL_resz00_555);
									}
								else
									{	/* Ieee/vector.scm 321 */
										return BgL_resz00_555;
									}
							}
						}
				}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__r4_vectors_6_8z00()
	{
		AN_OBJECT;
		{	/* Ieee/vector.scm 18 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 19979746),
				BSTRING_TO_STRING(BGl_string1601z00zz__r4_vectors_6_8z00));
		}
	}

#ifdef __cplusplus
}
#endif
